API structure has changed
172 structure changes including:
17 Breaking changes
2 Additions
170 Modifications
Modified
170
Breaking
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/page_groups
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/page_groups/{page_group_id}/pages
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_group_id}/assignments
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/assignments
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/email_alerts
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/http_callbacks
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/index
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/localizations
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/media_restore
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/shared_page
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments(same operationId)Breaking - Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id, is_group properties Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignments/{user_id}to/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}(same operationId)Breaking - Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id, is_group properties Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
user_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/users
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/page_assignments(same operationId)Breaking - Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id, is_disabled properties Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/record_assignments(same operationId)Breaking - Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id, page_id, record_id properties Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id, record_id path parameters Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
- Path went from
/profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}to/profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}(same operationId)Breaking - Path
-
user_id path parameter Modified
-
Type went from
numbertostringBreaking
-
Type went from
-
page_id, record_id path parameters Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- assignment_id path parameter Added
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id, page_id, record_id properties Added
-
user_id property Removed
-
application/json content type Modified
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/user_groups
- Authentication
- Oauth2 authentication method Added
GET /token
- Authentication
- Oauth2 authentication method Added
GET /transaction_log
- Authentication
- Oauth2 authentication method Added
POST /profiles
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/notifications
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/shared_page
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/localizations
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/records
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/records/{record_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/shared_page
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/update_charset
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignments/{user_id}to/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}(same operationId)Breaking - Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
user_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/users
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/page_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/trigger_posts
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
- Response
-
201 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/users
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/users
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/users/{user_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/page_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
- Response
-
201 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
POST /profiles/{profile_id}/users/{user_id}/record_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/record_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id, username properties Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id, record_id properties Added
-
user_id, username properties Removed
- Response
-
201 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id, record_id path parameters Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/company_info
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/assignments
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/index
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/localizations
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/record_assignments
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/shared_page
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignments/{user_id}to/profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}(same operationId)Breaking - Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
user_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/user_groups/{user_group_id}/users(same operationId)Breaking - Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_group_id path parameter Added
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/page_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- page_id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id path parameter Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments
- Path went from
/profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignmentsto/profiles/{profile_id}/users/{user_id}/record_assignments(same operationId)Breaking - Body
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id property Added
-
user_id property Removed
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id property Added
-
user_id property Removed
-
application/json content type Modified
- Path
-
page_id, record_id path parameters Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- user_id path parameter Added
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/pages
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/assignments
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/email_alerts
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/assignments
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/email_alerts
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/feed
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/index
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/localizations
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/record_assignments
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}
- Authentication
- Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
- Path went from
/profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}to/profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}(same operationId)Breaking - Path
-
user_id path parameter Modified
-
Type went from
numbertostringBreaking
-
Type went from
-
page_id, record_id path parameters Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- assignment_id path parameter Added
- Response
-
200 response Modified
-
application/json content type Modified
-
user_id property Removed
-
Removing a resource is always breaking unless it was deprecated before Breaking
-
Removing a resource is always breaking unless it was deprecated before
- id property Added
-
user_id property Removed
-
application/json content type Modified
- Authentication
- Oauth2 authentication method Added
GET /async_transaction_log
- Authentication
- Oauth2 authentication method Added
GET /async_transaction_log/daily_summary
- Authentication
- Oauth2 authentication method Added
GET /profiles
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/company_info
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/licenses
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/licenses/{license_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/media
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/pages
- Authentication
- Oauth2 authentication method Added
GET /profiles/{profile_id}/pages
- Authentication
- Oauth2 authentication method Added
Added
2
POST /oauth/token
Oauth2 authentication method